import { createAsyncStructure } from 'store/utils/actions';

import constants from './constants';

const actions = {
  getAll: createAsyncStructure(`${constants.prefix}_get_all`),
  get: createAsyncStructure(`${constants.prefix}_get`),
  getApollo: createAsyncStructure(`${constants.prefix}_get_apollo`),
  refreshAll: createAsyncStructure(`${constants.prefix}_refresh_all`),
};

export default actions;
